/**
 * @packageDocumentation
 * @module mainmenu-extension
 */
import { JupyterFrontEndPlugin } from '@jupyterlab/application';
import { IMainMenu } from '@jupyterlab/mainmenu';
/**
 * A namespace for command IDs of semantic extension points.
 */
export declare namespace CommandIDs {
    const openEdit = "editmenu:open";
    const undo = "editmenu:undo";
    const redo = "editmenu:redo";
    const clearCurrent = "editmenu:clear-current";
    const clearAll = "editmenu:clear-all";
    const find = "editmenu:find";
    const goToLine = "editmenu:go-to-line";
    const openFile = "filemenu:open";
    const closeAndCleanup = "filemenu:close-and-cleanup";
    const createConsole = "filemenu:create-console";
    const shutdown = "filemenu:shutdown";
    const logout = "filemenu:logout";
    const openKernel = "kernelmenu:open";
    const interruptKernel = "kernelmenu:interrupt";
    const reconnectToKernel = "kernelmenu:reconnect-to-kernel";
    const restartKernel = "kernelmenu:restart";
    const restartKernelAndClear = "kernelmenu:restart-and-clear";
    const changeKernel = "kernelmenu:change";
    const shutdownKernel = "kernelmenu:shutdown";
    const shutdownAllKernels = "kernelmenu:shutdownAll";
    const openView = "viewmenu:open";
    const wordWrap = "viewmenu:word-wrap";
    const lineNumbering = "viewmenu:line-numbering";
    const matchBrackets = "viewmenu:match-brackets";
    const openRun = "runmenu:open";
    const run = "runmenu:run";
    const runAll = "runmenu:run-all";
    const restartAndRunAll = "runmenu:restart-and-run-all";
    const runAbove = "runmenu:run-above";
    const runBelow = "runmenu:run-below";
    const openTabs = "tabsmenu:open";
    const activateById = "tabsmenu:activate-by-id";
    const activatePreviouslyUsedTab = "tabsmenu:activate-previously-used-tab";
    const openSettings = "settingsmenu:open";
    const openHelp = "helpmenu:open";
    const getKernel = "helpmenu:get-kernel";
    const openFirst = "mainmenu:open-first";
}
/**
 * A service providing an interface to the main menu.
 */
declare const plugin: JupyterFrontEndPlugin<IMainMenu>;
export default plugin;
